<xsl:stylesheet
	version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="html" doctype-public="-//W3C//DTD HTML 4.0 Transitional//EN"/>

<xsl:template match="contacts">
  <html>
    <head>
      <title>
        <xsl:text>My Contacts</xsl:text>
      </title>
    </head>
    <body>
      <table border="yes">
         <caption>My Contacts</caption>
         <xsl:apply-templates/>
      </table>
    </body>
    </html>
</xsl:template>
	
<!-- Fuer jeden Contact lege eine Tablerow <tr> an -->

<xsl:template match="contact">
     <tr>
       <xsl:apply-templates/>
     </tr>
</xsl:template>

<!-- zwei Moeglichkeiten, mit geschachtelten Elementen
     umzugehen -->

<!-- (1) Geschachteltes Template 
fr title, firstname, middlename, lastname -->

<xsl:template match="name">
     <!-- ... -->
</xsl:template>

<!-- (2) Rekursive Templates 
zuerst fuer address und dann fr street und city -
wann gibt das ein Problem? -->

<!-- Schlucke den Rest -->

<xsl:template match="*"/>

</xsl:stylesheet>
	