<xsl:stylesheet
	version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="xml"/>

<xsl:template match="contacts">
  <query1>
  <xsl:apply-templates mode="query1"/>
  </query1>
  <query2>
  <xsl:apply-templates mode="query2"/>
  </query2>
  <query3>
  <xsl:apply-templates mode="query3"/>
  </query3>
</xsl:template>

	
<!-- Query 1 ... wer wohnt in 'Berlin'? -->

<xsl:template match="...some path expression..." mode="query1">
  <xsl:copy-of select="."/>
</xsl:template>

<!-- Query 2 ... wer hat einen Titel? -->

<xsl:template match="...some path expression..." mode="query2">
  <xsl:copy-of select="."/>
</xsl:template>

<!-- Query 3 ... fuer alle Leute ohne email, gib mir alle
  emails von Leuten in der selben Stadt. -->
  
<!-- Tip: benutze current(), auf aktuellen node zuzugreifen -->
  
<xsl:template match="...some path expression..." mode="query3">
  <whereToAsk>
  <xsl:copy-of select="."/>
  <xsl:copy-of select="...some path expression..."/>
  </whereToAsk>
</xsl:template>

<!-- Schlucke den Rest -->

<xsl:template match="*" mode="query1"/>
<xsl:template match="*" mode="query2"/>
<xsl:template match="*" mode="query3"/>
</xsl:stylesheet>
	