<xsl:stylesheet
	version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="html" doctype-public="-//W3C//DTD HTML 4.0 Transitional//EN"/>

	<xsl:key name="sendung-nach-beginnzeit" match="Sendung" use="Ausstrahlung/Uhrzeit_Beginn" />
	
	<xsl:template match="Sender">
		<html>
			<head>
			</head>
			<body>
				<table border="1">
					<xsl:apply-templates/>
				</table>
			</body>
		</html>
	</xsl:template>

  
  <xsl:template match="Tag">
  	<tr><td colspan="3"><b>
  		<xsl:value-of select="./Nr"/>.<xsl:text> </xsl:text>
  		<xsl:value-of select="./Monat"/><xsl:text> </xsl:text>
  		<xsl:value-of select="./Jahr"/>
  	</b></td></tr>
  	<xsl:apply-templates select="./Sendung"/>
  </xsl:template>
  
  <xsl:template match="Sendung">
  		<tr><td>xxx<xsl:value-of select="Titel"/></td></tr>
      <xsl:for-each select="Sendung[count(. | key('sendung-nach-beginnzeit', ./Ausstrahlung/Uhrzeit_Beginn)[1]) = 1]">
         <xsl:sort select="Ausstrahlung/Uhrzeit_Beginn" />
         <tr>
         	<td><xsl:value-of select="Ausstrahlung/Uhrzeit_Beginn" /></td>
         <xsl:for-each select="key('sendung-nach-beginnzeit', Ausstrahlung/Uhrzeit_Beginn)">
            <td><xsl:value-of select="Titel"/></td>
         </xsl:for-each>
         </tr>
      </xsl:for-each>
   </xsl:template> 
   
</xsl:stylesheet>