<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet
	version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="html" doctype-public="-//W3C//DTD HTML 4.0 Transitional//EN"/>

	<xsl:key name="tag-nach-nr" match="Tag" use="Nr" />

	<xsl:template match="Programm">
		<html>
			<head>
			</head>
			<body>
				<table border="1">
					<xsl:apply-templates/>
				</table>
			</body>
		</html>
	</xsl:template>
	
	<xsl:template match=".">
      <xsl:for-each select="//*/Tag[count(. | key('tag-nach-nr', Nr)[1]) = 1]">
      	 <xsl:for-each select="key('tag-nach-nr', Nr)">
      	 		<xsl:for-each select="Sendung">
      	 			<tr>
      	 				<td>
      	 					<xsl:value-of select="../Nr"/>.<xsl:text> </xsl:text>
      	 					<xsl:value-of select="../Monat"/>.<xsl:text> </xsl:text>
      	 					<xsl:value-of select="../Jahr"/>
      	 				</td>
      	 				<td>
      	 					<xsl:value-of select="Ausstrahlung/Uhrzeit_Beginn"/>
      	 				</td>
      	 				<td>
            			<xsl:value-of select="Titel"/>
            		</td>
            		<td>
            			<xsl:value-of select="../../Name"/>
            		</td>
            	</tr>
            </xsl:for-each>
         </xsl:for-each>
      </xsl:for-each>
  </xsl:template> 
</xsl:stylesheet>