<?xml version="1.0"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output indent="yes" />

  <xsl:template match="//*/Students">
    <studentlist>
      <xsl:for-each select="Student">
        <xsl:sort order="descending" select="LastName" />
	<xsl:sort order="descending" select="FirstName" />
        <xsl:text>&#10;  </xsl:text>
        <student number="{@number}">
          <xsl:value-of select="FirstName" />
          <xsl:text> </xsl:text>
          <xsl:value-of select="LastName" />
        </student>
      </xsl:for-each>
    </studentlist>
  </xsl:template>

  <xsl:template match="text()" />

</xsl:stylesheet>

