//
// This example parses an XMl file using the Xerces parser,
// creates the DOM tree and writes the document back to the command line
//

package SimpleParser;

import org.w3c.dom.*;

// interface to be implemented by your simple XML DOM parser
public interface ISimpleDOMParser {

    // parse and return the document specified in <filename>
    // if an error occurs, return null;
    public Document parse(String filename);

    // print the document specified in <filename> to the console
    // check if doc is not null
    public void printDocument(Document doc);

}
