/**
*  Interface for objects representing an event (occuring at one point in time)
*  
*  @author Wolfgang Aigner
*  @version 0.1
*  
*  created: 2003-03-18
*  last change: 2003-03-18
*/

package at.ac.tuwien.cs.ztimeview.time;

import java.util.Date;

public interface Event extends Timed {
	/** Set the instant of the event 
	@param instant time of event */
	public void setTime(Date instant);
	
	/** Get the instant of the event
	@return time of event */
	public Date getTime();
}
