/**
*  class containing tick information for 
*  drawing date axis
*  
*  @author Martin Tomitsch
*  @version 0.1
*  
*  created: 2004-06-05
*  last change: 2004-06-05
*/
package at.ac.tuwien.cs.ztimeview.ui;

import java.lang.String;

public class PTick extends Object {

	private String label;
	private double canvasX;
	
	public PTick() {
		label = new String();
		canvasX = 0;
	}
	
	public PTick(String label, double canvasX) {
		this.label = new String(label);
		this.canvasX = canvasX;
	}
	
	//////////////////// GET/SET METHODS ////////////////////
	/** sets canvasX
	@param canvasX position on axis */
	void setCanvasX(double canvasX) {
		this.canvasX = canvasX;
	}
	
	/** returns canvasX
	@return canvasX */
	double getCanvasX() {
		return this.canvasX;
	}
	
	/** sets label
	@param label text on axis according to current tick */
	void setLabel(String label) {
		this.label = new String(label);
	}
	
	/** returns label
	@return label */
	String getLabel() {
		return this.label;
	}
	
}