/**
*  Basic interface for time object views
*  
*  @author Wolfgang Aigner
*  @version 0.1
*  
*  created: 2003-03-17
*  last change: 2003-03-17
*/

package at.ac.tuwien.cs.ztimeview.ui;

public interface PTimeElement {

	/** Get parent LifeLine+ 
	@return parent line */
	public PLifeLinePlus getParentLine();

	/** Set parent LifeLine+
	@return parent line */
	public void setParentLine(PLifeLinePlus parent);	

	/** Set the default height 
	@param height default height for line */
	public void setDefaultHeight(double height);

	/** Get the default height
	@return default line height */
	public double getDefaultHeight();

}
