package at.ac.tuwien.cs.ztimeview.time;

import java.util.Date;

/**
Interface for objects representing an interval
  
@author Wolfgang Aigner
@version 0.1
  
 created: 2003-03-18
 last change: 2003-03-18
*/
public interface Interval extends Timed {
	/** Set the start of the interval 
	@param start beginning of interval */
	public void setStart(Date start);
	
	/** Get the start of the interval 
	@return beginning of interval */
	public Date getStart();

	/** Set the end of the interval 
	@param end end of interval */
	public void setEnd(Date end);
	
	/** Get the end of the interval 
	@return end of interval */
	public Date getEnd();

}
