<xsl:stylesheet
	version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="html" doctype-public="-//W3C//DTD HTML 4.0 Transitional//EN"/>
	
<!-- Erzeuge Kopf und Rahmen des HTML Dokuments -->

<xsl:template match="contacts">
  <html>
    <head>
      <title>
        <xsl:text>My Contacts</xsl:text>
      </title>
    </head>
    <body>
      <xsl:apply-templates/>
    </body>
    </html>
</xsl:template>
	
<!-- Fuer jeden Contact erzeuge einen eigenen Paragraphen -->

<xsl:template match="contact">
   <p>
     <xsl:apply-templates/>
   </p>
</xsl:template>

<!-- Alle Kinder von name sollen in eine Zeile, getrennt
     durch ein Leerzeichen -->

<xsl:template match="name">

<!-- ... -->

</xsl:template>

<!-- Lasse Affiliation unberuecksichtigt -->

<xsl:template match="affiliation"/>

<!-- Alle Kinder von address sollen in eine Zeile, getrennt
     durch ein Leerzeichen -->
     
<xsl:template match="address">

<!-- ... -->

</xsl:template>

<!-- Rekursion fuer Phone -->

<xsl:template match="phone">
   <xsl:apply-templates/>
</xsl:template>

<!-- alle templates fuer Elemente in phone -->

<!-- Erzeuge einen Link fuer Email -->

<xsl:template match="email">

<!-- nur als Beispiel fuer explizite Element-Deklaration -->

   <xsl:text>Email: </xsl:text>
   <xsl:element name="a">
   <xsl:attribute name="href">
   <xsl:text>mailto:</xsl:text>
   <xsl:value-of select="."/>
   </xsl:attribute>
   <xsl:value-of select="."/>
   </xsl:element>
   <br/>
</xsl:template>

</xsl:stylesheet>
	