<xsl:stylesheet
	version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="html" doctype-public="-//W3C//DTD HTML 4.0 Transitional//EN"/>

  <xsl:key name="contacts-by-surname" match="contact" use="surname" />
   <xsl:template match="records">
      <xsl:for-each select="contact[count(. | key('contacts-by-surname', surname)[1]) = 1]">
         <xsl:sort select="surname" />
         <xsl:value-of select="surname" />,<br />
         <xsl:for-each select="key('contacts-by-surname', surname)">
            <xsl:sort select="forename" />
            <xsl:value-of select="forename" /> (<xsl:value-of select="title" />)<br />
         </xsl:for-each>
      </xsl:for-each>
   </xsl:template> 
   
</xsl:stylesheet>