<?xml version="1.0"?> 
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="xml" indent="yes"/>

<xsl:template match="/MovieDatabase">
  <MeineFilme>
    <Beschreibung>
      This is my movie database.
    </Beschreibung>
    <xsl:apply-templates select="./Movie" />
  </MeineFilme>
</xsl:template>

<xsl:template match="Movie">
  <Film><xsl:value-of select="./Title" /></Film>
  <Jahr><xsl:value-of select="./Year" /></Jahr>
  <Schauspieler>
    <xsl:for-each select="./Cast/Actor">
      <xsl:value-of select="." />
      <xsl:if test="position()!=last()">
        <xsl:text>, </xsl:text>
      </xsl:if>
    </xsl:for-each>
  </Schauspieler>
</xsl:template>

</xsl:stylesheet>
